<?xml version="1.0" encoding="utf-8" ?>
<Recipe xmlns="http://schemas.microsoft.com/pag/gax-core">
	<Actions>
		<Action Name="AddGenericFolder"
					Type="Howest.Guidance.DataAccess.Actions.VisualStudio.AddFolderAction, Howest.Guidance.DataAccess"
					FolderName="Generic">
			<Input Name="Project" RecipeArgument="DataAccessProject" />
			<Output Name="Folder"/>
		</Action>
		<Action
				Name="GenerateDatabase"
				Type="Microsoft.Practices.RecipeFramework.VisualStudio.Library.Templates.TextTemplateAction, Microsoft.Practices.RecipeFramework.VisualStudio.Library"
				Template="T4\DAC\Generic\Database.t4">
			<Input Name="DataAccessClassNamespace" RecipeArgument="DataAccessClassNamespace"/>
			<Output Name="Content"/>
		</Action>
		<Action Name="AddDatabase"
				  Type="Howest.Guidance.DataAccess.Actions.VisualStudio.AddItemFromStringToProjectItemAction, Howest.Guidance.DataAccess"
				  Open="false"
				  Overwrite="true"
				  ShowConfirmation="false"
				  TargetFileName="Database.cs">
			<Input Name="Content" ActionOutput="GenerateDatabase.Content" />
			<Input Name="InputProjectItem" ActionOutput="AddGenericFolder.Folder" />
		</Action>
		<Action
				Name="GenerateDataAccessor"
				Type="Microsoft.Practices.RecipeFramework.VisualStudio.Library.Templates.TextTemplateAction, Microsoft.Practices.RecipeFramework.VisualStudio.Library"
				Template="T4\DAC\Generic\DataAccessor.t4">
			<Input Name="DataAccessClassNamespace" RecipeArgument="DataAccessClassNamespace"/>
			<Output Name="Content"/>
		</Action>
		<Action Name="AddDataAccessor"
				  Type="Howest.Guidance.DataAccess.Actions.VisualStudio.AddItemFromStringToProjectItemAction, Howest.Guidance.DataAccess"
				  Open="false"
				  Overwrite="true"
						ShowConfirmation="false"
				  TargetFileName="DataAccessor.cs">
			<Input Name="Content" ActionOutput="GenerateDataAccessor.Content" />
			<Input Name="InputProjectItem" ActionOutput="AddGenericFolder.Folder" />
		</Action>
	</Actions>
</Recipe>